{
  "position": "top",
  "margin-top": 4,
  "margin-bottom": 0,
  "margin-left": 6,
  "margin-right": 6,
  "height": 24,
  "modules-left": ["hyprland/workspaces", "tray"],
  "modules-center": ["hyprland/window"],
  "modules-right": ["pulseaudio", "network", "cpu", "memory", "clock"],
  "hyprland/window": {
    "format": "{}",
    "max-length": 35,
    "rewrite": {
      "": "./raj",
    },
    "separate-outputs": true,
  },
  "hyprland/workspaces": {
    "format": "{icon}",
    "on-click": "activate",
    "format-icons": {
      "active": " ",
    },
    "sort-by-number": true,
    "persistent-workspaces": {
      "*": 4,
      // "HDMI-A-1": 3, // but only three on HDMI-A-1
    },
  },
  "clock": {
    "tooltip-format": "<big>{:%Y %B}</big>\n<tt><small>{calendar}</small></tt>",
    "format-alt": "{:%Y-%m-%d}",
  },
  "tray": {
    "icon-size": 16,
    "spacing": 10,
    "show-passive-items": true,
  },
  "cpu": {
    "format": "CPU {usage}%",
    "tooltip": false,
  },
  "memory": {
    "format": "{}%  ",
  },
  "temperature": {
    "critical-threshold": 80,
    "format": "{icon} {temperatureC}°C",
    "format-icons": ["", "", ""],
  },
  "network": {
    "format-wifi": "  {signalStrength}%",
    "format-ethernet": "{cidr} ",
    "tooltip-format": "{ifname} via {gwaddr} ",
    "format-linked": "{ifname} (No IP) ",
    "format-disconnected": " ⚠ ",
    "format-alt": "{ifname}: {ipaddr}/{cidr}",
  },
  "pulseaudio": {
    "format": "{icon}  {volume}%",
    "format-bluetooth": "{volume}% {icon} {format_source}",
    "format-bluetooth-muted": " {icon} {format_source}",
    "format-muted": " {format_source}",
    "format-icons": {
      "headphone": "",
      "hands-free": "",
      "headset": "",
      "phone": "",
      "portable": "",
      "car": "",
      "default": ["", "", ""],
    },
    "on-click": "pavucontrol",
  },
}
